## bmagic 3.4.0

=== Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

TARGETS_BLD =  \
              tests/stress tests/perf \
              samples/sample1 \
              samples/sample2 \
              samples/sample3 \
              samples/sample4 \
              samples/sample5 \
              samples/sample6 \
              samples/sample7 \
              samples/sample8 \
              samples/sample9
        
SHELL=/bin/sh
MAKE := ${MAKE} --no-print-directory

ifeq (${MAKECMDGOALS},)
	MAKECMDGOALS=all
endif

.DIRS_BLD: 
	@for dir in $(TARGETS_BLD); \
	do \
        echo $$dir; \
		${MAKE} -C $$dir $(MAKECMDGOALS) ; \
		if [ "$$?" != "0" ]; then exit 127; fi; \
	done; \
    

rebuild all clean: .DIRS_BLD

relprep: .DIRS_BLD
	$(RM) -r CVS *.plg *.ncb *.opt
	$(RM) -rf samples/CVS tests/CVS platforms/CVS src/CVS
	$(RM) -rf html
	cd src; dos2unix *.h

install : .DIRS_INST

## bmagic 3.5.0

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,6 @@
 # ============================================================================
 
 TARGETS_BLD =  \
-              tests/stress tests/perf \
               samples/sample1 \
               samples/sample2 \
               samples/sample3 \
@@ -34,7 +33,8 @@
               samples/sample6 \
               samples/sample7 \
               samples/sample8 \
-              samples/sample9
+              samples/sample9 \
+              tests/stress tests/perf 
         
 SHELL=/bin/sh
 MAKE := ${MAKE} --no-print-directory

## bmagic 3.7.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ============================================================================
 #
 # BitMagic Library makefile
-# (c) 2002 Anatoliy Kuznetsov.
+# (c) 2002-2009 Anatoliy Kuznetsov.
 #
 # ============================================================================
 # Permission is hereby granted, free of charge, to any person 
@@ -34,6 +34,7 @@
               samples/sample7 \
               samples/sample8 \
               samples/sample9 \
+              samples/sample10 \
               tests/stress tests/perf 
         
 SHELL=/bin/sh
@@ -58,6 +59,13 @@
 	$(RM) -r CVS *.plg *.ncb *.opt
 	$(RM) -rf samples/CVS tests/CVS platforms/CVS src/CVS
 	$(RM) -rf html
+	$(RM) -rf src/bm__* src/*vcproj.*
+	$(RM) -rf *.suo
+	$(RM) -rf debug release cvsenv.sh
+	cd platforms; dos2unix *.mk; cd -
+	dos2unix readme *.txt
 	cd src; dos2unix *.h
+	chmod -x src/*
+	chmod -x Makefile makefile.in Doxyfile license.txt *.sln readme
 
 install : .DIRS_INST

=== samples/sample1/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample1

DESTTYPE = 
DESTINATIONDIR=samples/sample1

include ../../makefile.in

=== samples/sample10/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2009 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample10

DESTTYPE = 
DESTINATIONDIR=samples/sample10

include ../../makefile.in

=== samples/sample2/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample2

DESTTYPE = 
DESTINATIONDIR=samples/sample2

include ../../makefile.in

=== samples/sample3/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample3

DESTTYPE = 
DESTINATIONDIR=samples/sample3

include ../../makefile.in

=== samples/sample4/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample4

DESTTYPE = 
DESTINATIONDIR=samples/sample4

include ../../makefile.in

=== samples/sample5/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample5

DESTTYPE = 
DESTINATIONDIR=samples/sample5

include ../../makefile.in

=== samples/sample6/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2003 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample6

DESTTYPE = 
DESTINATIONDIR=samples/sample6

include ../../makefile.in

=== samples/sample7/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2003 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample7

DESTTYPE = 
DESTINATIONDIR=samples/sample7

include ../../makefile.in

=== samples/sample8/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2003 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample8

DESTTYPE = 
DESTINATIONDIR=samples/sample8

include ../../makefile.in

=== samples/sample9/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2003 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample9

DESTTYPE = 
DESTINATIONDIR=samples/sample9

include ../../makefile.in

=== debian/changelog ===
bmagic (3.7.0-3) unstable; urgency=low

  * Update to Standards-Version 3.9.5 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2014 13:13:36 -0500

bmagic (3.7.0-2) unstable; urgency=low

  [ Marcus Holland-Moritz ]
  * Work around build issues with Clang++ (Closes: #683926)

  [ Roberto C. Sanchez ]
  * Acknowledge NMU, thanks to Matthias Klose
  * Add build-arch and build-indep targets to debian/rules
  * Fix outdated-autotools-helper-file lintian warning
  * Update to Standards-Version 3.9.4 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 20 Sep 2013 14:06:19 -0400

bmagic (3.7.0-1.1) unstable; urgency=low

  * Non maintainer upload
  * Work around build failure with GCC 4.7. Closes: #672004.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 09:07:11 +0000

bmagic (3.7.0-1) unstable; urgency=low

  * New upstream release (Closes: #615929)
  * Update to Standards-Version 3.9.1 (no changes)
  * Specify Debian source format as '3.0 (quilt)'

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 03 Mar 2011 12:22:16 -0500

bmagic (3.6.4-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.8.4 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 08 Apr 2010 16:47:58 -0400

bmagic (3.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/config.guess.patch: drop obsolete patch
  * Add ${misc:Depends} as requested by lintian

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 24 Jan 2010 14:45:39 -0500

bmagic (3.6.1-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 09 Dec 2009 16:02:55 -0500

bmagic (3.6.0-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 30 Oct 2009 18:48:35 -0400

bmagic (3.5.4-2) unstable; urgency=low

  * Make sample build with g++-4.4

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 06 Oct 2009 20:54:02 -0400

bmagic (3.5.4-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.8.3 (no changes)
  * Register documentation with doc-base

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 29 Sep 2009 20:34:36 -0400

bmagic (3.5.3-1) unstable; urgency=high

  * New upstream release
  * Update to debhelper compatibility level 5
  * Update to Standards-Version 3.8.2 (no changes)
  * Convert from dpatch to quilt
  * Fix FTBFS on amd64, set urgency to high (Closes: #527829)
  * Update copyright
  * Add watch file

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 12 Aug 2009 22:01:50 -0400

bmagic (3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Add tcpp.dpatch.  This stops tests/stress/t.cpp from including
    ncbi_pch.hpp.  As far as I can tell, NCBI is not used at all, I have
    no idea where that came from..
  * Silence some lintian warnings; binary-arch-rules-but-pkg-is-arch-indep
    and ancient-standards-version.

 -- Andres Salomon <dilinger@debian.org>  Sat, 05 Jan 2008 23:58:56 +0000

bmagic (3.4.0-4) unstable; urgency=low

  * Fix amd64 patch so that it works correctly with debuild
    cleans. (Closes: #382981)

 -- Wes Chow <wchow@athenacr.com>  Tue, 17 Oct 2006 10:36:56 -0400

bmagic (3.4.0-3) unstable; urgency=low

  * Fix amd64 build problem.  Thanks to Andreas Jochens for the patch.
    (Closes:  #382981)

 -- Wes Chow <wchow@athenacr.com>  Thu, 17 Aug 2006 12:31:54 -0400

bmagic (3.4.0-2) unstable; urgency=low

  * Update maintainer to a company alias, add myself as a maintainer.
  * Change Arch: any to Arch: all.

 -- Andres Salomon <dilinger@debian.org>  Tue, 30 May 2006 23:15:24 +0000

bmagic (3.4.0-1) unstable; urgency=low

  * Initial release.

 -- Wes Chow <wes@senortoad.com>  Wed, 17 May 2006 13:59:28 -0400

=== debian/control ===
Source: bmagic
Section: libdevel
Priority: optional
Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Uploaders: Wes Chow <wes@senortoad.com>, Roberto C. Sanchez <roberto@connexer.com>
Homepage:  http://bmagic.sourceforge.net/
Build-Depends: debhelper (>= 5), quilt, autotools-dev
Standards-Version: 3.9.5

Package: bmagic
Architecture: all
Depends: ${misc:Depends}
Recommends: c++-compiler
Description: C++ template library for efficient platform independent bitsets
 BitMagic is a C++ template library designed and developed to implement
 efficient platform independent bitsets.  Key features:
 .
  - Several types of on the fly adaptive compression.
  - Dynamic range of addressable space of 232-1 bits.
  - Efficient memory management.
  - Cache optimized bitset distance algorithms.
  - Serialization in platform independent, compact format suitable
    for storing in files and databases.
  - Performance tuning for 32-bit and 64-bit systems.
  - Optimization for Intel SSE2 128-bit integer SIMD.

=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_autotools-dev_updateconfig
	env PROJECT_DIR=`pwd` $(MAKE)
	touch build-stamp

clean: clean-patched unpatch
	rm -f build-stamp
	dh_clean
clean-patched: $(QUILT_STAMPFN)
	dh_testdir
	dh_testroot
	env PROJECT_DIR=`pwd` $(MAKE) clean
	dh_autotools-dev_restoreconfig

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
